 /* small  */
 .is-style-default-small {
  display: inline-block;
  background: var(--wp--preset--gradient--wp-grit-primary) !important;
  background-image: var(--wp--preset--gradient--wp-grit-primary) !important;
  padding: 1px; 
  border-radius: 100px;
}

.is-style-default-small .wp-block-button {
  background: transparent !important;
  background-image: none !important;
  box-shadow: none !important;
  border-color: transparent !important;
  margin: 0;
  padding: 0;
}

.is-style-default-small .wp-block-button__link {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 13px 28px;
  font-size: 14 !important;
  overflow: hidden;       
  z-index: 0;              
  border-radius: 99px;     
  background: var(--wp--preset--color--white) !important; 
  background-image: none !important;
  box-shadow: none !important;
  border-color: transparent !important;
  border: none !important;
}

.is-style-default-small .wp-block-button__link::before {
  content: "";
  position: absolute;
  inset: -2px; 
  background: var(--wp--preset--gradient--wp-grit-primary);
  transform: translateX(-100%); 
  transition: transform 300ms cubic-bezier(.3,1,.3,1); 
  pointer-events: none;
  z-index: -1;
  border-radius: 100px; 
}

.is-style-default-small .wp-block-button__link:hover::before {
  transform: translateX(0);
}

/* medium  */

.is-style-default-medium {
  display: inline-block;
  background: var(--wp--preset--gradient--wp-grit-primary) !important;
  background-image: var(--wp--preset--gradient--wp-grit-primary) !important;
  padding: 1px; 
  border-radius: 100px;
}

.is-style-default-medium .wp-block-button {
  background: transparent !important;
  background-image: none !important;
  box-shadow: none !important;
  border-color: transparent !important;
  margin: 0;
  padding: 0;
}

.is-style-default-medium .wp-block-button__link {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 20px 40px;
  font-size: 14 !important;
  overflow: hidden;       
  z-index: 0;              
  border-radius: 99px;     
  background: var(--wp--preset--color--white) !important; 
  background-image: none !important;
  box-shadow: none !important;
  border-color: transparent !important;
  border: none !important;
}

.is-style-default-medium .wp-block-button__link::before {
  content: "";
  position: absolute;
  inset: -2px; 
  background: var(--wp--preset--gradient--wp-grit-primary);
  transform: translateX(-100%); 
  transition: transform 300ms cubic-bezier(.3,1,.3,1); 
  pointer-events: none;
  z-index: -1;
  border-radius: 100px; 
}

.is-style-default-small .wp-block-button__link:hover::before {
  transform: translateX(0);
}
/* large  */

.is-style-default-large {
  display: inline-block;
    background:
    linear-gradient(124.16deg, #002A66 -29.3%, #0054CC 101.74%) padding-box,
    linear-gradient(124.16deg, #002A66 -29.3%, #0054CC 101.74%) border-box;
   background-image: linear-gradient(124.16deg, #002A66 -29.3%, #0054CC 101.74%) !important;
  padding: 1px; 
  border-radius: 100px;
}

.is-style-default-large .wp-block-button {
  background: transparent !important;
  background-image: none !important;
  box-shadow: none !important;
  border-color: transparent !important;
  margin: 0;
  padding: 0;
}

.is-style-default-large .wp-block-button__link {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 22px 44px;
  font-size: 18px ;
  overflow: hidden;       
  z-index: 0;              
  border-radius: 99px;     
  background: var(--wp--preset--color--white) !important; 
  background-image: none !important;
  box-shadow: none !important;
  border-color: transparent !important;
  border: none !important;
}

.is-style-default-large .wp-block-button__link::before {
  content: "";
  position: absolute;
  inset: -2px; 
  background:var(--wp--preset--color--blue-main);
  transform: translateX(-100%); 
  transition: transform 300ms cubic-bezier(.3,1,.3,1); 
  pointer-events: none;
  z-index: -1;
  border-radius: 100px; 
}

.is-style-default-large .wp-block-button__link:hover::before {
  transform: translateX(0);
}


/* media queries  */

@media screen and (max-width :450px) {
  .is-style-default-medium .wp-block-button__link {
    padding: 14px 15px;
    font-size: 13px;
  }

  .is-style-default-large .wp-block-button__link {
    padding: 14px 15px;
    font-size: 13px;
  }

}